CommentaryRequestInfo

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.ctdp.rfdynhud.gamedata
Class CommentaryRequestInfo

    java.lang.Object
      net.ctdp.rfdynhud.gamedata.CommentaryRequestInfo

    public class CommentaryRequestInfo

extends java.lang.Object

Author:
  Marvin Froehlich (CTDP)

Nested Class Summary
`static interface` | `CommentaryRequestInfo.CommentaryInfoUpdateListener`

Method Summary
`double` | `getInput1()` Gets first value to pass in (if any)
`double` | `getInput2()` Gets second value to pass in (if any)
`double` | `getInput3()` Gets third value to pass in (if any)
`java.lang.String` | `getName()` Gets one of the event names in the commentary INI file
`boolean` | `getSkipChecks()`
`long` | `getUpdateId()` This is incremented every time the info is updated.
`void` | `readFromStream(java.io.InputStream in)`
`void` | `registerListener(CommentaryRequestInfo.CommentaryInfoUpdateListener l)`
`void` | `unregisterListener(CommentaryRequestInfo.CommentaryInfoUpdateListener l)`
`void` | `writeToStream(java.io.OutputStream out)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### registerListener

    public void registerListener(CommentaryRequestInfo.CommentaryInfoUpdateListener l)

### unregisterListener

    public void unregisterListener(CommentaryRequestInfo.CommentaryInfoUpdateListener l)

### getUpdateId

    public final long getUpdateId()

  This is incremented every time the info is updated.

  Returns:
    the current update id.

### readFromStream

    public void readFromStream(java.io.InputStream in)
                        throws java.io.IOException

  Throws:
    `java.io.IOException`

### writeToStream

    public void writeToStream(java.io.OutputStream out)
                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### getName

    public final java.lang.String getName()

  Gets one of the event names in the commentary INI file

  Returns:
    one of the event names in the commentary INI file

### getInput1

    public final double getInput1()

  Gets first value to pass in (if any)

  Returns:
    first value to pass in (if any)

### getInput2

    public final double getInput2()

  Gets second value to pass in (if any)

  Returns:
    second value to pass in (if any)

### getInput3

    public final double getInput3()

  Gets third value to pass in (if any)

  Returns:
    third value to pass in (if any)

### getSkipChecks

    public final boolean getSkipChecks()

  Returns:
    ignores commentary detail and random probability of event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD